__DEV_ALLOC_SKB(9)

NAME
__dev_alloc_skb - allocate an skbuff for sending

SYNOPSIS

struct sk_buff * __dev_alloc_skb (unsigned int length, gfp_t gfp_mask);

ARGUMENTS

length
    length to allocate

gfp_mask
    get_free_pages mask, passed to alloc_skb

DESCRIPTION

Allocate a new &sk_buff and assign it a usage count of one. The buffer has unspecified headroom built in. Users should allocate the headroom they think they need without accounting for the built in space. The built in space is used for optimisations.

 NULL is returned in there is no free memory.